org.apache.maven.scm.provider.accurev

## Enum AccuRevCapability

- java.lang.Object
- - java.lang.Enum<AccuRevCapability>
  - - org.apache.maven.scm.provider.accurev.AccuRevCapability

All Implemented Interfaces:
  Serializable, Comparable<AccuRevCapability>

    public enum AccuRevCapability
    extends Enum<AccuRevCapability>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DIFF_BETWEEN_STREAMS`
`POPULATE_TO_TRANSACTION`
`STAT_ADDED_NOT_PROMOTED_BUG`

### Field Summary

Fields
`static String` `DEFAULT_VERSION_FOR_TESTS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isSupported(String version)`
`static AccuRevCapability` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccuRevCapability[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIFF_BETWEEN_STREAMS

    public static final AccuRevCapability DIFF_BETWEEN_STREAMS

#### POPULATE_TO_TRANSACTION

    public static final AccuRevCapability POPULATE_TO_TRANSACTION

#### STAT_ADDED_NOT_PROMOTED_BUG

    public static final AccuRevCapability STAT_ADDED_NOT_PROMOTED_BUG

### Field Detail

#### DEFAULT_VERSION_FOR_TESTS

    public static final String DEFAULT_VERSION_FOR_TESTS

See Also:
  Constant Field Values

### Method Detail

#### values

    public static AccuRevCapability[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccuRevCapability c : AccuRevCapability.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccuRevCapability valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSupported

    public boolean isSupported(String version)

Parameters:
  `version` -
Returns:
  if the capability is available for this version